Subject: Re: follow-up: discrepancy with POSIX

From: Ulrich Drepper <[email-masked]>
Date: Wed, 19 Sep 2007 10:46:54 -0700

Andi Kleen wrote:
>> But the spec calls for a "null address" to be used and that's in my
>> understanding something different from using AF_UNSPEC.
> 
> memset(&sockaddr, 0, sizeof(sockaddr)) should give you AF_UNSPEC

But the spec calls for <quote>null address for the protocol</quote>.

That means the family for the null address is the same as the family of
the socket.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖